Installing PECL LUA on Centos for PHP


Trivia Category: Science: Gadgets
Difficulty: Easy
Microphones can be used not only to pick up sound, but also to project sound similar to a speaker.
True or False?

 
Thread Tools Search this Thread
# 1  
Installing PECL LUA on Centos for PHP

I'm kinda new to Linux, I'm mostly run websites, and it's rather easy to do everything... except install this PECL LUA plugin. Smilie

I start by running this command: pecl install lua-0.9.4

Code:
downloading lua-0.9.4.tgz ...
Starting to download lua-0.9.4.tgz (12,617 bytes)
.....done: 12,617 bytes

Warning: strtotime(): It is not safe to rely on the system's timezone settings.                                   You are *required* to use the date.timezone setting or the date_default_timezone                                  _set() function. In case you used any of those methods and you are still getting                                   this warning, you most likely misspelled the timezone identifier. We selected '                                  America/Chicago' for 'CDT/-5.0/DST' instead in PEAR/Validate.php on line 486
8 source files, building
running: phpize
Configuring for:
PHP Api Version:         20090626
Zend Module Api No:      20090626
Zend Extension Api No:   220090626
building in /var/tmp/pear-build-root/lua-0.9.4
running: /tmp/tmpITDpqH/lua-0.9.4/configure
checking for egrep... grep -E
checking for a sed that does not truncate output... /bin/sed
checking for cc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking how to run the C preprocessor... cc -E
checking for icc... no
checking for suncc... no
checking whether cc understands -c and -o together... yes
checking for system library directory... lib
checking if compiler supports -R... no
checking if compiler supports -Wl,-rpath,... yes
checking build system type... x86_64-redhat-linux-gnu
checking host system type... x86_64-redhat-linux-gnu
checking target system type... x86_64-redhat-linux-gnu
checking for PHP prefix... /usr
checking for PHP includes... -I/usr/include/php -I/usr/include/php/main -I/usr/i                                  nclude/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/ph                                  p/ext/date/lib
checking for PHP extension directory... /usr/lib64/php/modules
checking for PHP installed headers prefix... /usr/include/php
checking if debug is enabled... no
checking if zts is enabled... no
checking for re2c... re2c
checking for re2c version... invalid
configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate                                   PHP parsers.
checking for gawk... gawk
checking for lua support... yes, shared
checking for lua in default path... not found
configure: error: Please reinstall the lua distribution - lua.h should be in <lu                                  a-dir>/include/
ERROR: `/tmp/tmpITDpqH/lua-0.9.4/configure' failed

I found this: bugs.php.net / bug.php?id=60641 (I can't post URLs, sorry for the bypass)

But it's partially nonsense to me. From what I understand I need to create a symbiotic link to reference the lua.so file, which isn't in the default location as they suggest. I have installed LUA, here's a list of relevant files:

Code:
/usr/bin/lua
/usr/bin/luac
/usr/include/lua
/usr/include/lua.h
/usr/include/lua.hpp
/usr/include/luaconf.h
/usr/include/lualib.h
/usr/lib/liblua-5.1.so
/usr/lib/liblua.a
/usr/lib/liblua.so
/usr/lib/lua
/usr/lib/pkgconfig/lua.pc
/usr/lib64/liblua-5.1.so
/usr/lib64/liblua.a
/usr/lib64/liblua.so
/usr/lib64/lua
/usr/lib64/php/modules/lua.so
/usr/lib64/pkgconfig/lua.pc

I understand it isn't in it's default directory, what would be the symbiotic links I need to create so I can install PECL LUA?

Last edited by pludi; 06-12-2012 at 05:08 AM.. Reason: QUOTE -> CODE
 

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

[LUA-Awesome] Can i use $XDG_XY_DIR inside a lua script?

Heyas I'm a fan of AwesomeWM, but i had failed to learn lua, though, i'm quite satisfied with the cofniguration i have by now. Either way, i'd like to know if i could 'call' those XDG_XY_DIR variables which are located on my linux ~/.config/user-dirs.dirs. While to call scripts i use... (0 Replies)
Discussion started by: sea
0 Replies

2. Red Hat

Installing rpm in centos 6

hi, i am try to install a package in centos 6.2 x86-64 but unable to find any package in centos media iso. In RHEL we have a product folder which contain all the list of rpm but in centos i cant found that. I have use yum command but it also cant work show me the message no module named yum.... (1 Reply)
Discussion started by: zeeshan047
1 Replies

3. OS X (Apple)

Installing RPM built on CentOS on Mac OS X

I have a build process that runs on CentOS that builds RPMs for a java-based product. I'd like to be able to install these RPMs on my Mac OS X laptop for testing purposes. I don't need an RPM database to manage dependencies or previously installed packages. Consider this RPM to be a glorified... (1 Reply)
Discussion started by: jschnitter
1 Replies

4. Red Hat

need help in installing Xen on Centos 6

Hello folks, I am trying to install Xen on centos 6! Kindly check out the following screen shots! What should I do? Regards (0 Replies)
Discussion started by: ahmedamer12
0 Replies

5. Linux

Installing centOS in i686

I am not able to find any references related to installing centOS in i686 machine ? Is it supported or not ? This does not list it at all, so a little bit confused CentOS - Wikipedia, the free encyclopedia No luck with google also ! Appreciate if somebody can help. Thanks. (1 Reply)
Discussion started by: thegeek
1 Replies

6. UNIX and Linux Applications

Problem installing spamassassin CentOS 5.5

Hi every body I am facing problem installing spamassassin on my CentOS - Direct Admin VPS The installation ended with the following error REQUIRED module out of date: Archive::Tar optional module missing: Digest::SHA optional module missing: Mail::SPF optional module missing: IP::Country... (0 Replies)
Discussion started by: rizwan65
0 Replies

7. Virtualization and Cloud Computing

Installing CentOS 5.5 on Virtual Box

Hi, I have installed VirtualBox, downloaded CentOS 5.5 and created a VirtualMachine where i have installed the 'server' versión of CentOS 5.5 As I installed Virtual Box a new network device appeared '192.16.1.250' in my 'real' machine. I was unable to reach my webserver so i istalled CentOS once... (5 Replies)
Discussion started by: motoko
5 Replies

8. Red Hat

installing phyton in centos

Hi, I am trying to install phyton on my centos. When I write: yum install phyton I get the message that it doesn't find the package. How should I fix it? (4 Replies)
Discussion started by: programAngel
4 Replies

9. UNIX for Dummies Questions & Answers

Installing CVS on Centos 5.3

Hi, I need to install CVS on Centos 5.3. There is a RPM that yum detects and it installs it. But when I type CVS at the command line I get nothing. What do I have to do to configure CVS? (2 Replies)
Discussion started by: mojoman
2 Replies

10. Linux

installing psybnc on CentOS

Guys does anyone have a good plan or structured tutorial on how to install Psybnc on CentOS platform, ive gave it a try and im on my 4th hour now , i just cant seem to get it working. Thanks in advance (0 Replies)
Discussion started by: wmccull
0 Replies

Featured Tech Videos